Google Web Toolkit (Beta)
Search this site:

# Interface NamedNodeMap

public interface NamedNodeMap
Represents a string-to-node map, used in `getAttributes`.

## Methods

getLength() | Returns the number of items in this `NamedNodeMap`.
getNamedItem(String) | This method gets the item having the given name.
item(int) | This method gets the item at the index position.

## Method Detail

### getLength

public int getLength()
Returns the number of items in this `NamedNodeMap`.

#### Return Value

the number of items in this `NamedNodeMap`

### getNamedItem

public Node getNamedItem(String name)
This method gets the item having the given name.

#### Parameters

name
  - the name used to look up the item

#### Return Value

the item retrieved

### item

public Node item(int index)
This method gets the item at the index position.

#### Parameters

index
  - the index to retrieve the item from

#### Return Value

the item retrieved